[(#REM)<!-- Page Collections

Liste les mots-clefs du groupe collections,
auquels des produits ont étés associés

Génération des images :
- si le mot clef a un LOGO_MOT
- sinon on cherche un produit et on affiche un LOGO_PRODUIT
- si pas de logo Produit on cherche un document associé au produit


-->]
<article>
    <header class="section-heading">
        <h1>Collections</h1>
        <hr class="hr--small">
    </header>
    <div class="collections-content grid--squares">
        <BOUCLE_listCollections(MOTS){type=collections}{par num titre, titre}>
            [(#SET{collection,[(#TITRE|urlencode)]})]
            [(#REM) <!-- Récupérer le nombre de produits associés au mot -->]
            <BOUCLE_nbProds(PRODUITS){id_mot}></BOUCLE_nbProds>
               [(#SET{nb_prods, #TOTAL_BOUCLE})]
            <//B_nbProds>
            [(#REM) <!-- N'afficher que les mots qui ont au moins UN produit d'associé -->]
            <BOUCLE_test(CONDITION){si #GET{nb_prods}|>{0} }>
                <div class="square">
                    <a href="[(#URL_SITE_SPIP)]/collection/#GET{collection}.html" title="#DESCRIPTIF">
                        [(#REM)<!-- Le mot-clef as t'il un logo -->]
                        [(#LOGO_MOT|oui)
                            #SET{bg_collection, #LOGO_MOT}
                        ]
                        [(#REM)<!-- Sinon on cherche celui d'un produit de cette collection -->]
                        <BOUCLE_logoProduit(PRODUITS){id_mot}{par hasard}{0,1}>
                            [(#LOGO_PRODUIT|?{
                                #SET{bg_collection, #LOGO_PRODUIT}
                            ,
                                #SET{id_produit, #ID_PRODUIT}
                            })]
                        </BOUCLE_logoProduit></B_logoProduit>
                        <BOUCLE_test2(CONDITION){si #GET{id_produit}|oui}>
                                    
                                    [(#REM)<!-- SI aucun produit n'as de logo, on cherche dans les documents -->]
                                    <B_affDoc>
                                    <BOUCLE_affDoc(DOCUMENTS){id_produit=#GET{id_produit}}{extension==jpg|png|gif}{mode=document}{doublons}{0,1}>
                                        [(#REM)<!--
                                        ici on extrait le fichier et on le converti en balise_img
                                        pour gérer la tranformation de l'image après -->]
                                        #SET{bg_collection, #FICHIER|balise_img } 
                                    </BOUCLE_affDoc>
                                    </B_affDoc>
                                    <//B_affDoc>
                                
                        </BOUCLE_test2><//B_test2>   

                        
                        <div class="square-overlay"[ style="background-image: url((#GET{bg_collection}|extraire_attribut{src}|url_absolue))]"></div>
                        <div class="square-title">
                                <h2>#TITRE</h2>
                        </div>
                    </a>
                </div>
            </BOUCLE_test>
                [(#REM)<!-- Afficher les collections vides -->]
            <//B_test>
        </BOUCLE_listCollections>
    </div>
</article>